package http_model

type AddNewSubAccountRequest struct {
	SupplierId     int    `json:"supplier_id"`      // 子账号属于的企业id
	PhoneNumber    string `json:"phone_number"`     // 手机号
	SubAccountName string `json:"sub_account_name"` // 子账号名称
	JobId          int    `json:"job_id"`           // 岗位ID
	Code           string `json:"code"`             // 验证码
}

type AddNewSubAccountData struct {
	UserID       int64 `json:"user_id"`          // 用户id
	SupplierId   int   `json:"supplier_id"`      // 企业id
	SubAccountID int   `json:"sub_account_name"` // 子账号id
}

func NewAddSubAccountRequest() *AddNewSubAccountRequest {
	return new(AddNewSubAccountRequest)
}

func NewAddSubAccountResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(AddNewSubAccountData)
	return resp
}
